#!/bin/sh
#############################################################
#  Tests on PPMX
# Option -fill to rewrite the results
#############################################################

tt=/tmp/t$$
d=`dirname $0`
p=ppmxl
prog=$d/$p
case `uname -m` in
  sun*)
    tail="tail"
    ;;
  *)
    tail="tail -n"
esac

# Test with local program if existing
test -x $prog || prog=$d/../bin/$p
if test -x $prog; then
    echo "----Testing $prog"
else
    echo "****Program $prog missing****"
    exit 1
fi
fill=0
st=0
if test "$1" = "-fill" ; then
    fill=1
    shift
fi

if test $# -eq 0 ; then
    files=`echo test.?`
else
    files="$*"
fi
test $# -eq 0 && set test.?
for f in $files ; do
    q=`head -1 $f | tr -d '#'`
    echo $f $q | awk '{printf "....%-60s ",$0}'
    $tail +2 $f  | grep -v '^#\.' > $tt.0
    $prog $q | grep -v '^#\.' > $tt.1
        if [ "$fill" -ne 0 ]; then
	echo "#=== (fill)"
        echo "# $q" > $f
	cat $tt.1 >> $f
    elif cmp $tt.0 $tt.1; then
        echo " (ok)"
    else
        echo " ***error:"
	diff $tt.0 $tt.1
	echo "====Report the problem to Francois Ochsenbein"
	echo "    francois@astro.u-strasbg.fr"
	st=1
    fi
    rm -f $tt.?
done
exit $st

